Skip to main content
POST
/
v1
/
merchants
/
{merchant_id}
/
locations
Add merchant location
curl --request POST \
  --url https://api.clearbox.example.com/v1/merchants/{merchant_id}/locations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Main Stage",
  "timezone": "America/Los_Angeles"
}
'
{
  "location_id": "loc_1e8f",
  "merchant_id": "<string>",
  "name": "<string>",
  "address": {
    "line1": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "line2": "<string>",
    "region": "<string>"
  },
  "timezone": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Path Parameters

merchant_id
string
required
Example:

"mer_7d3a"

Body

application/json
name
string
required
Example:

"Main Stage"

address
object
timezone
string
Example:

"America/Los_Angeles"

Response

201 - application/json

Location created.

location_id
string
Example:

"loc_1e8f"

merchant_id
string
name
string
address
object
timezone
string